pactl(1)

NAME
pactl - Control a running PulseAudio sound server

SYNOPSIS
pactl [options] stat pactl [options] list pactl [options] exit pactl [options] upload-sample FILENAME [NAME] pactl [options] play-sample NAME [SINK] pactl [options] remove-sample NAME pactl [options] move-sink-input ID SINK pactl [options] move-source-input ID SOURCE pactl [options] load-module NAME [ARGUMENTS ...] pactl [options] unload-module ID pactl [options] suspend-sink [SINK] 1|0 pactl [options] suspend-source [SOURCE] 1|0 pactl --help pactl --version

DESCRIPTION
pactl can be used to issue control commands to the PulseAudio sound server. pactl only exposes a subset of the available operations. For the full set use the pacmd(1).

OPTIONS

-h | --help
    Show help.

--version
    Show version information.

-s | --server=SERVER
    Choose the server to connect to.

-n | --client-name=NAME
    Specify the client name pactl shall pass to the server when connecting.

stat
    Dump a few statistics about the PulseAudio daemon.

list
    Dump all currently loaded modules, available sinks, sources, streams and clients.

exit
    Asks the PulseAudio server to terminate.

upload-sample FILENAME [NAME]
    Upload a sound from the specified audio file into the sample cache. The file types supported are those understood by libsndfile. The sample in the cache is named after the audio file, unless the name is explicitly specified.

play-sample NAME [SINK]
    Play the specified sample from the sample cache. It is played on the default sink, unless the symbolic name or the numerical index of the sink to play it on is specified.

remove-sample NAME
    Remove the specified sample from the sample cache.

move-sink-input ID SINK
    Move the specified playback stream (identified by its numerical index) to the specified sink (identified by its symbolic name or numerical index).

move-source-output ID SOURCE
    Move the specified recording stream (identified by its numerical index) to the specified source (identified by its symbolic name or numerical index).

load-module NAME [ARGUMENTS ...]
    Load the specified module with the specified arguments into the running sound server. Prints the numeric index of the module just loaded to STDOUT. You can use it to unload the module later.

unload-module ID
    Unload the module instance identified by the specified numeric index.

suspend-sink SINK 1|0
    Suspend or resume the specified sink (which my be specified either by its symbolic name, or by its numeric index), depending whether 1 (suspend) or 0 (resume) is passed as last argument. Suspending a sink will pause all playback. Depending on the module implementing the sink this might have the effect that the underlying device is closed, making it available for other applications to use. The exact behaviour depends on the module.

suspend-source SOURCE 1|0
    Suspend or resume the specified source (which my be specified either by its symbolic name, or by its numeric index), depending whether 1 (suspend) or 0 (resume) is passed as last argument. Suspending a source will pause all capturing. Depending on the module implementing the source this might have the effect that the underlying device is closed, making it available for other applications to use. The exact behaviour depends on the module.

AUTHORS
The PulseAudio Developers <mzchyfrnhqvb (at) 0pointer (dot) net>; PulseAudio is available from http://pulseaudio.org/

SEE ALSO
pulseaudio(1), pacmd(1)